Opensky ne fonctionne pas

Mon problème

ne fonctionne pas. pourtant j’ai mis les 2 lignes dans configurations sous sensor:

  - platform: opensky
    radius: 10

l’erreur est :

opensky: Error on device update!

Traceback (most recent call last):
  File "/usr/local/lib/python3.10/site-packages/requests/models.py", line 971, in json
    return complexjson.loads(self.text, **kwargs)
  File "/usr/local/lib/python3.10/site-packages/simplejson/__init__.py", line 525, in loads
    return _default_decoder.decode(s)
  File "/usr/local/lib/python3.10/site-packages/simplejson/decoder.py", line 370, in decode
    obj, end = self.raw_decode(s)
  File "/usr/local/lib/python3.10/site-packages/simplejson/decoder.py", line 400, in raw_decode
    return self.scan_once(s, idx=_w(s, idx).end())
simplejson.errors.JSONDecodeError: Expecting value: line 1 column 1 (char 0)

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/src/homeassistant/homeassistant/helpers/entity_platform.py", line 477, in _async_add_entity
    await entity.async_device_update(warning=False)
  File "/usr/src/homeassistant/homeassistant/helpers/entity.py", line 703, in async_device_update
    await task
  File "/usr/local/lib/python3.10/concurrent/futures/thread.py", line 58, in run
    result = self.fn(*self.args, **self.kwargs)
  File "/usr/src/homeassistant/homeassistant/components/opensky/sensor.py", line 154, in update
    states = self._session.get(OPENSKY_API_URL).json().get(ATTR_STATES)
  File "/usr/local/lib/python3.10/site-packages/requests/models.py", line 975, in json
    raise RequestsJSONDecodeError(e.msg, e.doc, e.pos)
requests.exceptions.JSONDecodeError: Expecting value: line 1 column 1 (char 0)

System Information

version core-2022.9.1
installation_type Home Assistant OS
dev false
hassio true
docker true
user root
virtualenv false
python_version 3.10.5
os_name Linux
os_version 5.15.32-v8
arch aarch64
timezone Europe/Paris
config_dir /config

pas de souci sur mon test

Il y’a cette « issue » sur github qui ressemble beaucoup à la tienne :

Si le commentaire de l’issue précédente est exacte ça ne devrait fonctionner que quelques minutes.

Oui donc c’est pas une erreur

Anonymous users have a credit of 100 API request per day (corresponds to 8 minutes of map usage on the Opensky page roughly).
1 « J'aime »

ok merci.

en fait ca a fonctionné pendant 8 minutes
même avec un login c’est que 80 minutes.
pas terrible.
Cordialement
Pierre